Get Search Response
Get a search response by search_id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the search response to get
Response
A search response
ID of the search response
Object type, always 'search'
search The search scope that was used
file, segment, face Array of search results ranked by relevance score
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Total number of results returned. When group_by_key is specified, this represents the total number of items across all groups (not the number of groups).
The limit that was applied to the search
The search query that was executed (for text search) or the source image URL/base64 indicator (for face search)
The key used for grouping results. Only present when group_by_key was specified in the request and results are grouped.
file Number of groups in the results. Only present when group_by_key is specified.
Specifies the type(s) of search to execute. When multiple modalities are specified, a hybrid search is executed that combines results from each modality.
Available modalities:
general_content: baseline for matching the content of the search item (file/segment) based on visual or spoken content similarity to provided short natural language query stringspeech_lexical: performs keyword based search (e.g. query ofpresidentmatchingpresidentorpresidentialstrings) and exact match (e.g. specifically find mentions of"Barack Obama"or"Donald Trump") against speech content present in search itemocr_lexical: performs keyword based search and exact match against screen text content present in search itemtag_semantic: performs basic word semantic similarity search against tag values associated with search items (e.g.query=animalexpected to match tags with value containingdogorcat)tag_lexical: performs keyword based search and exact match against tag values associated with search items
Only applicable when search scope=file or scope=segment.
5general_content, speech_lexical, ocr_lexical, tag_semantic, tag_lexical